libzypp 17.37.10

zypp::ByteArray Class Reference

`#include <zypp-core/ByteArray.h>`

Inheritance diagram for zypp::ByteArray:

## Public Member Functions
| ByteArray (const std::string &data)
| ByteArray (const char *data, const int len=-1)
std::string | asString () const

## Static Public Member Functions
static std::size_t | maxSize ()

## Detailed Description

Definition at line 18 of file ByteArray.h.

## Constructor & Destructor Documentation

## ◆ ByteArray() [1/2]

zypp::ByteArray::ByteArray | ( | const std::string & | data | ) |
| inline explicit

Definition at line 22 of file ByteArray.h.

## ◆ ByteArray() [2/2]

zypp::ByteArray::ByteArray | ( | const char * | data,
|  | const int | len = -1 )
| inline explicit

Definition at line 23 of file ByteArray.h.

## Member Function Documentation

## ◆ asString()

std::string zypp::ByteArray::asString | ( |  | ) | const
| inline

Definition at line 24 of file ByteArray.h.

## ◆ maxSize()

std::size_t zypp::ByteArray::maxSize | ( |  | ) |
| inline static

Definition at line 38 of file ByteArray.h.

The documentation for this class was generated from the following file:

- zypp-core/ByteArray.h